<!doctype html>
<html lang="en">

<head>
  <title>Calculator</title>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS v5.2.1 -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">
  
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
  <link rel="stylesheet" href="/calculator/calculator.css">
</head>

<body>
  <div class="container d-flex flex-row col-1 align-content-center mt-1 w-100">
    <i class="bi-moon-stars-fill col p-2 text-end darkM-text-color"></i>
    <input type="checkbox" id="mode" onclick="switchMode();">
    <span class="slider round"></span>
    <i class="bi-sun-fill col p-2 darkM-text-color"></i>
  </div>
  <div class="container-fluid d-flex justify-content-center flex-column col-lg-4 col-md-6 col-sm-10 border border-0 rounded-5 mt-3 bg-secondary-dark" style="height: 650px;">
      <div class="text-center calculator-s" style="font-weight: 1000; font-size: 2rem;">
        Calculator
      </div>
      <div class="col-12 p-2">
        <input type="text" id="number" class="w-100 p-3 text-end border border-0 bg-secondary-dark number-style" style="font-size: 50px; font-weight:700;">
      </div>
      <div class="row row-cols-5 justify-content-center flex-row-reverse btn-style">
        <button class="btn col p-2 m-2 btn-color-special" onclick="backspace()"><i class="bi-backspace-fill"></i></button>
        <button class="btn col-8 p-2 m-2 btn-color-special" onclick="AC();">AC</button>
        <button class="btn col p-2 m-2 btn-color-special" onclick="number.value +='/'">/</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='9'">9</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='8'">8</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='7'">7</button>
        <button class="btn col p-2 m-2 btn-color-special" onclick="number.value +='*'">X</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='6'">6</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='5'">5</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='4'">4</button>
        <button class="btn col p-2 m-2 btn-color-special" onclick="number.value +='-'">-</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='3'">3</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='2'">2</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='1'">1</button>
        <button class="btn col p-2 m-2 btn-color-special" onclick="number.value +='+'">+</button>
        <button class="btn col p-2 m-2 btn-color-equal" onclick="calc();">=</button>
        <button class="btn col p-2 m-2 btn-colour" onclick="number.value +='0'">0</button>
        <button class="btn col p-2 m-2 btn-color-special" onclick="number.value +='.'">.</button>
      </div>
  </div>
  

  <script type="text/javascript">
    
    function calc(){
      document.getElementById("number").value = eval(document.getElementById("number").value);
    }
    
    function AC(){
      document.getElementById("number").value = "";
    }

    function switchMode(){
      let toggle = document.getElementById("mode");
      
      document.body.classList.toggle('light');
   }

   function backspace() {
    const input = document.getElementById("number");
    input.value = input.value.substring(0, input.value.length - 1);
  }
  </script>
  <!-- Bootstrap JavaScript Libraries -->
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
    integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3" crossorigin="anonymous">
  </script>

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.min.js"
    integrity="sha384-7VPbUDkoPSGFnVtYi0QogXtr74QeVeeIs99Qfg5YCF+TidwNdjvaKZX19NZ/e6oz" crossorigin="anonymous">
  </script>
</body>

</html>